WP6StyleGroup Class Reference documentation

WP6StyleGroup Class Reference

`#include <WP6StyleGroup.h>`

Inheritance diagram for WP6StyleGroup:

## Public Member Functions
| WP6StyleGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP6StyleGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *listener) override
Public Member Functions inherited from WP6VariableLengthGroup
| WP6VariableLengthGroup ()
| ~WP6VariableLengthGroup () override
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Private Member Functions
| WP6StyleGroup (const WP6StyleGroup &)
WP6StyleGroup & | operator= (const WP6StyleGroup &)

## Private Attributes
std::unique_ptr< WP6VariableLengthGroup_SubGroup > | m_subGroupData

## Additional Inherited Members
Static Public Member Functions inherited from WP6VariableLengthGroup
static WP6VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP6VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const
unsigned char | getFlags () const
unsigned char | getNumPrefixIDs () const
const unsigned short * | getPrefixIDs () const
unsigned short | getSizeNonDeletable () const
unsigned short | getSizeDeletable () const

## Constructor & Destructor Documentation

## ◆ WP6StyleGroup() [1/2]

WP6StyleGroup::WP6StyleGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

Referenced by operator=(), and WP6StyleGroup().

## ◆ ~WP6StyleGroup()

WP6StyleGroup::~WP6StyleGroup | ( |  | ) |
| override

## ◆ WP6StyleGroup() [2/2]

WP6StyleGroup::WP6StyleGroup | ( | const WP6StyleGroup & |  | ) |
| private

## Member Function Documentation

## ◆ _readContents()

void WP6StyleGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overridevirtual

Reimplemented from WP6VariableLengthGroup.

## ◆ operator=()

WP6StyleGroup & WP6StyleGroup::operator= | ( | const WP6StyleGroup & |  | ) |
| private

## ◆ parse()

void WP6StyleGroup::parse | ( | WP6Listener * | listener | ) |
| overridevirtual

Implements WP6Part.

## Member Data Documentation

## ◆ m_subGroupData

std::unique_ptr<WP6VariableLengthGroup_SubGroup> WP6StyleGroup::m_subGroupData
| private

Referenced by _readContents(), parse(), and WP6StyleGroup().

The documentation for this class was generated from the following files:

- WP6StyleGroup.h
- WP6StyleGroup.cpp